commit:     0ec71b7c1cc10ba8d9d8d7ad0f6a75c978430103
Author:     Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  2 11:10:05 2016 +0000
Commit:     Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
CommitDate: Sat Apr  2 11:10:05 2016 +0000
URL:        https://gitweb.gentoo.org/proj/gnome.git/commit/?id=0ec71b7c

gnome-extra/evolution-data-server: Bump version to 3.20.0

Package-Manager: portage-2.2.28
Manifest-Sign-Key: 0xE9E568677E8B4D42

 ....ebuild => evolution-data-server-3.20.0.ebuild} | 59 ++++++++++++----------
 .../evolution-data-server-9999.ebuild              | 55 +++++++++++---------
 gnome-extra/evolution-data-server/metadata.xml     |  1 +
 3 files changed, 65 insertions(+), 50 deletions(-)

diff --git 
a/gnome-extra/evolution-data-server/evolution-data-server-3.19.90.ebuild 
b/gnome-extra/evolution-data-server/evolution-data-server-3.20.0.ebuild
similarity index 77%
rename from 
gnome-extra/evolution-data-server/evolution-data-server-3.19.90.ebuild
rename to gnome-extra/evolution-data-server/evolution-data-server-3.20.0.ebuild
index d3400cf..cc9b480 100644
--- a/gnome-extra/evolution-data-server/evolution-data-server-3.19.90.ebuild
+++ b/gnome-extra/evolution-data-server/evolution-data-server-3.20.0.ebuild
@@ -1,12 +1,11 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI="5"
 GCONF_DEBUG="no"
 GNOME2_LA_PUNT="yes"
-PYTHON_COMPAT=( python2_7 python3_4 pypy pypy2_0 )
-VALA_MIN_API_VERSION="0.22"
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy )
 VALA_USE_DEPEND="vapigen"
 
 inherit db-use flag-o-matic gnome2 python-any-r1 vala virtualx
@@ -16,40 +15,44 @@ HOMEPAGE="https://wiki.gnome.org/Apps/Evolution";
 
 # Note: explicitly "|| ( LGPL-2 LGPL-3 )", not "LGPL-2+".
 LICENSE="|| ( LGPL-2 LGPL-3 ) BSD Sleepycat"
-SLOT="0/57" # subslot = libcamel-1.2 soname + optional revision if needed
-IUSE="api-doc-extras +google-auth +gnome-online-accounts +gtk +introspection 
ipv6 ldap kerberos vala +weather"
+SLOT="0/57" # subslot = libcamel-1.2 soname version
+
+IUSE="api-doc-extras +berkdb +gnome-online-accounts +gtk +google 
+introspection ipv6 ldap kerberos vala +weather"
 REQUIRED_USE="vala? ( introspection )"
 
 KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd 
~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~x86-solaris"
 
 # sys-libs/db is only required for migrating from <3.13 versions
 # gdata-0.15.1 is required for google tasks
-# google-auth allows adding own google_client_id and google_client_secret
+# berkdb needed only for migrating old calendar data, bug #519512
 RDEPEND="
        >=app-crypt/gcr-3.4
        >=app-crypt/libsecret-0.5[crypt]
        >=dev-db/sqlite-3.7.17:=
        >=dev-libs/glib-2.40:2
+       >=dev-libs/json-glib-1.0.4
        >=dev-libs/libgdata-0.10:=
        >=dev-libs/libical-0.43:=
-       >=net-libs/libsoup-2.42:2.4
        >=dev-libs/libxml2-2
        >=dev-libs/nspr-4.4:=
        >=dev-libs/nss-3.9:=
-       >=sys-libs/db-4:=
+       >=net-libs/libsoup-2.42:2.4
+       >=net-libs/webkit-gtk-2.4.9:3
 
        dev-libs/icu:=
        sys-libs/zlib:=
        virtual/libiconv
 
-       google-auth? (
-               >=net-libs/webkit-gtk-2.4.9
-               >=dev-libs/json-glib-1.0.4
-       )
+       berkdb? ( >=sys-libs/db-4:= )
        gtk? (
                >=app-crypt/gcr-3.4[gtk]
                >=x11-libs/gtk+-3.10:3
        )
+       google? (
+               >=dev-libs/json-glib-1.0.4
+               >=dev-libs/libgdata-0.15.1:=
+               >=net-libs/webkit-gtk-2.4.9:3
+       )
        gnome-online-accounts? ( >=net-libs/gnome-online-accounts-3.8 )
        introspection? ( >=dev-libs/gobject-introspection-0.9.12:= )
        kerberos? ( virtual/krb5:= )
@@ -62,7 +65,6 @@ DEPEND="${RDEPEND}
        dev-util/gperf
        >=dev-util/gtk-doc-am-1.14
        >=dev-util/intltool-0.35.5
-       >=gnome-base/gnome-common-3.5.5
        >=sys-devel/gettext-0.17
        virtual/pkgconfig
        vala? ( $(vala_depend) )
@@ -87,24 +89,22 @@ src_prepare() {
        ELTCONF="--reverse-deps"
 
        gnome2_src_prepare
-
-       # Fix compilation flags crazyness, upstream bug #653157
-       sed 's/^\(AM_CFLAGS="\)$WARNING_FLAGS/\1/' \
-               -i configure || die "sed failed"
 }
 
 src_configure() {
        # /usr/include/db.h is always db-1 on FreeBSD
        # so include the right dir in CPPFLAGS
-       append-cppflags "-I$(db_includedir)"
+       use berkdb && append-cppflags "-I$(db_includedir)"
 
        # phonenumber does not exist in tree
        gnome2_src_configure \
                $(use_enable api-doc-extras gtk-doc) \
                $(use_with api-doc-extras private-docs) \
+               $(usex berkdb --with-libdb="${EPREFIX}"/usr --with-libdb=no) \
                $(use_enable gnome-online-accounts goa) \
-               $(use_enable google-auth) \
                $(use_enable gtk) \
+               $(use_enable google google-auth) \
+               $(use_enable google) \
                $(use_enable introspection) \
                $(use_enable ipv6) \
                $(use_with kerberos krb5 "${EPREFIX}"/usr) \
@@ -112,15 +112,20 @@ src_configure() {
                $(use_with ldap openldap) \
                $(use_enable vala vala-bindings) \
                $(use_enable weather) \
-               --enable-google \
                --enable-largefile \
                --enable-smime \
-               --with-libdb="${EPREFIX}"/usr \
                --without-phonenumber \
                --disable-examples \
                --disable-uoa
 }
 
+src_test() {
+       unset ORBIT_SOCKETDIR
+       unset SESSION_MANAGER
+       unset DISPLAY
+       Xemake check
+}
+
 src_install() {
        gnome2_src_install
 
@@ -131,10 +136,10 @@ src_install() {
        fi
 }
 
-src_test() {
-       unset DBUS_SESSION_BUS_ADDRESS
-       unset ORBIT_SOCKETDIR
-       unset SESSION_MANAGER
-       unset DISPLAY
-       Xemake check
+pkg_postinst() {
+       gnome2_pkg_postinst
+       if ! use berkdb; then
+               ewarn "You will need to enable berkdb USE for migrating old"
+               ewarn "(pre-3.12 evolution versions) addressbook data"
+       fi
 }

diff --git 
a/gnome-extra/evolution-data-server/evolution-data-server-9999.ebuild 
b/gnome-extra/evolution-data-server/evolution-data-server-9999.ebuild
index 6948f3c..19daf6c 100644
--- a/gnome-extra/evolution-data-server/evolution-data-server-9999.ebuild
+++ b/gnome-extra/evolution-data-server/evolution-data-server-9999.ebuild
@@ -1,12 +1,11 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI="5"
 GCONF_DEBUG="no"
 GNOME2_LA_PUNT="yes"
-PYTHON_COMPAT=( python2_7 python3_4 pypy pypy2_0 )
-VALA_MIN_API_VERSION="0.22"
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy )
 VALA_USE_DEPEND="vapigen"
 
 inherit db-use flag-o-matic gnome2 python-any-r1 vala virtualx
@@ -19,8 +18,9 @@ HOMEPAGE="https://wiki.gnome.org/Apps/Evolution";
 
 # Note: explicitly "|| ( LGPL-2 LGPL-3 )", not "LGPL-2+".
 LICENSE="|| ( LGPL-2 LGPL-3 ) BSD Sleepycat"
-SLOT="0/54" # subslot = libcamel-1.2 soname + optional revision if needed
-IUSE="api-doc-extras +google-auth +gnome-online-accounts +gtk +introspection 
ipv6 ldap kerberos vala +weather"
+SLOT="0/57" # subslot = libcamel-1.2 soname + optional revision if needed
+
+IUSE="api-doc-extras +berkdb +gnome-online-accounts +gtk +google 
+introspection ipv6 ldap kerberos vala +weather"
 REQUIRED_USE="vala? ( introspection )"
 
 if [[ ${PV} = 9999 ]]; then
@@ -33,32 +33,35 @@ fi
 
 # sys-libs/db is only required for migrating from <3.13 versions
 # gdata-0.15.1 is required for google tasks
-# google-auth allows adding own google_client_id and google_client_secret
+# berkdb needed only for migrating old calendar data, bug #519512
 RDEPEND="
        >=app-crypt/gcr-3.4
        >=app-crypt/libsecret-0.5[crypt]
        >=dev-db/sqlite-3.7.17:=
        >=dev-libs/glib-2.40:2
+       >=dev-libs/json-glib-1.0.4
        >=dev-libs/libgdata-0.10:=
        >=dev-libs/libical-0.43:=
-       >=net-libs/libsoup-2.42:2.4
        >=dev-libs/libxml2-2
        >=dev-libs/nspr-4.4:=
        >=dev-libs/nss-3.9:=
-       >=sys-libs/db-4:=
+       >=net-libs/libsoup-2.42:2.4
+       >=net-libs/webkit-gtk-2.4.9:3
 
        dev-libs/icu:=
        sys-libs/zlib:=
        virtual/libiconv
 
-       google-auth? (
-               >=net-libs/webkit-gtk-2.4.9
-               >=dev-libs/json-glib-1.0.4
-       )
+       berkdb? ( >=sys-libs/db-4:= )
        gtk? (
                >=app-crypt/gcr-3.4[gtk]
                >=x11-libs/gtk+-3.10:3
        )
+       google? (
+               >=dev-libs/json-glib-1.0.4
+               >=dev-libs/libgdata-0.15.1:=
+               >=net-libs/webkit-gtk-2.4.9:3
+       )
        gnome-online-accounts? ( >=net-libs/gnome-online-accounts-3.8 )
        introspection? ( >=dev-libs/gobject-introspection-0.9.12:= )
        kerberos? ( virtual/krb5:= )
@@ -71,7 +74,6 @@ DEPEND="${RDEPEND}
        dev-util/gperf
        >=dev-util/gtk-doc-am-1.14
        >=dev-util/intltool-0.35.5
-       >=gnome-base/gnome-common-3.5.5
        >=sys-devel/gettext-0.17
        virtual/pkgconfig
        vala? ( $(vala_depend) )
@@ -106,15 +108,17 @@ src_prepare() {
 src_configure() {
        # /usr/include/db.h is always db-1 on FreeBSD
        # so include the right dir in CPPFLAGS
-       append-cppflags "-I$(db_includedir)"
+       use berkdb && append-cppflags "-I$(db_includedir)"
 
        # phonenumber does not exist in tree
        gnome2_src_configure \
                $(use_enable api-doc-extras gtk-doc) \
                $(use_with api-doc-extras private-docs) \
+               $(usex berkdb --with-libdb="${EPREFIX}"/usr --with-libdb=no) \
                $(use_enable gnome-online-accounts goa) \
-               $(use_enable google-auth) \
                $(use_enable gtk) \
+               $(use_enable google google-auth) \
+               $(use_enable google) \
                $(use_enable introspection) \
                $(use_enable ipv6) \
                $(use_with kerberos krb5 "${EPREFIX}"/usr) \
@@ -122,15 +126,20 @@ src_configure() {
                $(use_with ldap openldap) \
                $(use_enable vala vala-bindings) \
                $(use_enable weather) \
-               --enable-google \
                --enable-largefile \
                --enable-smime \
-               --with-libdb="${EPREFIX}"/usr \
                --without-phonenumber \
                --disable-examples \
                --disable-uoa
 }
 
+src_test() {
+       unset ORBIT_SOCKETDIR
+       unset SESSION_MANAGER
+       unset DISPLAY
+       Xemake check
+}
+
 src_install() {
        gnome2_src_install
 
@@ -141,10 +150,10 @@ src_install() {
        fi
 }
 
-src_test() {
-       unset DBUS_SESSION_BUS_ADDRESS
-       unset ORBIT_SOCKETDIR
-       unset SESSION_MANAGER
-       unset DISPLAY
-       Xemake check
+pkg_postinst() {
+       gnome2_pkg_postinst
+       if ! use berkdb; then
+               ewarn "You will need to enable berkdb USE for migrating old"
+               ewarn "(pre-3.12 evolution versions) addressbook data"
+       fi
 }

diff --git a/gnome-extra/evolution-data-server/metadata.xml 
b/gnome-extra/evolution-data-server/metadata.xml
index fce6455..f9541c1 100644
--- a/gnome-extra/evolution-data-server/metadata.xml
+++ b/gnome-extra/evolution-data-server/metadata.xml
@@ -9,6 +9,7 @@
                <flag name="api-doc-extras">Build documentation for private 
APIs</flag>
                <flag name="gnome-online-accounts">Enable using
                        <pkg>net-libs/gnome-online-accounts</pkg> for 
authorization</flag>
+               <flag name="google">Enable support for google authentication, 
contacts and tasks</flag>
                <flag name="weather">Enable optional weather calendar 
support</flag>
        </use>
 </pkgmetadata>

Reply via email to